#
# spec file for package python3-django-endless-pagination
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-endless-pagination
Version:        2.0
Release:        2.3
Url:            http://code.google.com/p/django-endless-pagination/
Summary:        Pagination tools supporting ajax, multiple and lazy pagination
License:        MIT
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-endless-pagination/django-endless-pagination-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
Requires:       python3-django
BuildArch:      noarch

%description
This app may be used to provide Twitter-style ajaxed pagination. Future developments will
add support for normal Digg-style pagination.

%prep
%setup -q -n django-endless-pagination-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc HACKING LICENSE README.rst doc/*.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 2.0
  + Please read usr/share/doc/packages/python-django-endless-pagination/changelog.rst
    for more infos
- Use download url as source
- Add documentation from tarball
* Tue Jun 28 2011 alexandre@exatati.com.br
- Update to 1.1:
  * *New feature**: now it is possible to set the bottom margin used for
  pagination on scroll (default is 1 pixel).
  * *New feature**: added ability to avoid AJAX requests when multiple pagination
  is used.
  * *New feature**: implemented a class based generic view allowing
  AJAX pagination of a list of objects (usually a queryset).
  * *Fix**: the ``page_template`` and ``page_templates`` decorators no longer
  hide the original view name and docstring (*update_wrapper*).
  * *Fix**: pagination on scroll now works on Firefox >= 4.
  * *Fix**: tests are now compatible with Django 1.3.
- Regenerate spec file with py2pack.
* Wed Feb  9 2011 alexandre@exatati.com.br
- Update to 1.0.
* Sun Jan  9 2011 alexandre@exatati.com.br
- Update to 0.7;
- Bzip2 source file.
* Thu Jun 24 2010 alexandre@exatati.com.br
- Update to 0.6;
- Spec file cleaned with spec-cleaner.
* Tue Mar  9 2010 alexandre@exatati.com.br
- Update to 0.5.
* Thu Mar  4 2010 alexandre@exatati.com.br
- Update to 0.4.
* Tue Dec  1 2009 alexandre@exatati.com.br
- Update to 0.3;
- Building as noarch for openSUSE >= 11.2.
* Tue Aug 25 2009 alexandre@exatati.com.br
- Update to 0.2.
* Mon Aug 24 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
